gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2004-000486

GD Library の gdMalloc() 関数を呼び出す際の処理におけるバッファオーバーフローの脆弱性

10.0
2007/04/01 00:00
CVE-2004-0941

JVNDB-2004-000486

GD Library の gdMalloc() 関数を呼び出す際の処理におけるバッファオーバーフローの脆弱性
概要
GD Library には、gdMalloc() 関数を呼び出す際の処理で境界チェックが適切に行われていない不備のため、意図的に作成された画像ファイルを処理した場合にバッファオーバーフローが発生する脆弱性が存在します。
想定される影響と対策
GD Library を利用するアプリケーションを実行するユーザの権限で、任意のコードを実行される可能性があります。
JVNDB-2004-000486は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度10.0N/A
CVECVE-2004-0941
公表日2004/11/11 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。